org.apache.cassandra.hadoop

## Class BulkRecordWriter

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>
  - - org.apache.cassandra.hadoop.BulkRecordWriter

All Implemented Interfaces:
  org.apache.hadoop.mapred.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>

Deprecated.

    @Deprecated
    public final class BulkRecordWriter
    extends org.apache.hadoop.mapreduce.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>
    implements org.apache.hadoop.mapred.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>

### Nested Class Summary

Nested Classes
`static class` `BulkRecordWriter.ExternalClient` Deprecated.
`static class` `BulkRecordWriter.NullOutputHandler` Deprecated.

### Field Summary

Fields
`static java.lang.String` `BUFFER_SIZE_IN_MB` Deprecated.
`protected int` `bufferSize` Deprecated.
`protected org.apache.hadoop.conf.Configuration` `conf` Deprecated.
`protected org.apache.hadoop.mapreduce.TaskAttemptContext` `context` Deprecated.
`protected SSTableLoader` `loader` Deprecated.
`static java.lang.String` `MAX_FAILED_HOSTS` Deprecated.
`protected int` `maxFailures` Deprecated.
`static java.lang.String` `OUTPUT_LOCATION` Deprecated.
`protected org.apache.hadoop.util.Progressable` `progress` Deprecated.
`static java.lang.String` `STREAM_THROTTLE_MBITS` Deprecated.
`protected java.io.Closeable` `writer` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close(org.apache.hadoop.mapred.Reporter reporter)` Deprecated.
`void` `close(org.apache.hadoop.mapreduce.TaskAttemptContext context)` Deprecated.
`protected java.lang.String` `getOutputLocation()` Deprecated.
`void` `write(java.nio.ByteBuffer keybuff, java.util.List<Mutation> value)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OUTPUT_LOCATION

    public static final java.lang.String OUTPUT_LOCATION

Deprecated.

See Also:
  Constant Field Values

#### BUFFER_SIZE_IN_MB

    public static final java.lang.String BUFFER_SIZE_IN_MB

Deprecated.

See Also:
  Constant Field Values

#### STREAM_THROTTLE_MBITS

    public static final java.lang.String STREAM_THROTTLE_MBITS

Deprecated.

See Also:
  Constant Field Values

#### MAX_FAILED_HOSTS

    public static final java.lang.String MAX_FAILED_HOSTS

Deprecated.

See Also:
  Constant Field Values

#### conf

    protected final org.apache.hadoop.conf.Configuration conf

Deprecated.

#### maxFailures

    protected final int maxFailures

Deprecated.

#### bufferSize

    protected final int bufferSize

Deprecated.

#### writer

    protected java.io.Closeable writer

Deprecated.

#### loader

    protected SSTableLoader loader

Deprecated.

#### progress

    protected org.apache.hadoop.util.Progressable progress

Deprecated.

#### context

    protected org.apache.hadoop.mapreduce.TaskAttemptContext context

Deprecated.

### Method Detail

#### getOutputLocation

    protected java.lang.String getOutputLocation()
                                          throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

#### close

    public void close(org.apache.hadoop.mapreduce.TaskAttemptContext context)
               throws java.io.IOException,
                      java.lang.InterruptedException

Deprecated.

Specified by:
  `close` in class `org.apache.hadoop.mapreduce.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>`
Throws:
  `java.io.IOException`
  `java.lang.InterruptedException`

#### close

    @Deprecated
    public void close(org.apache.hadoop.mapred.Reporter reporter)
                           throws java.io.IOException

Deprecated.
Fills the deprecated RecordWriter interface for streaming.

Specified by:
  `close` in interface `org.apache.hadoop.mapred.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>`
Throws:
  `java.io.IOException`

#### write

    public void write(java.nio.ByteBuffer keybuff,
                      java.util.List<Mutation> value)
               throws java.io.IOException

Deprecated.

Specified by:
  `write` in interface `org.apache.hadoop.mapred.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>`
Specified by:
  `write` in class `org.apache.hadoop.mapreduce.RecordWriter<java.nio.ByteBuffer,java.util.List<Mutation>>`
Throws:
  `java.io.IOException`